## python-twilio 6.8.2

=== Makefile ===
.PHONY: clean install analysis test test-install develop docs docs-install

venv:
	@python --version || (echo "Python is not installed, please install Python 2 or Python 3"; exit 1);
	virtualenv --python=python venv

install: venv
	. venv/bin/activate; pip install .

test-install: install
	. venv/bin/activate; pip install -r tests/requirements.txt

develop: venv
	. venv/bin/activate; pip install -e . --use-mirrors
	. venv/bin/activate; pip install -r tests/requirements.txt

analysis:
	. venv/bin/activate; flake8 --ignore=E123,E126,E128,E501,W391,W291,W293,F401 tests
	. venv/bin/activate; flake8 --ignore=E402,F401,W391,W291,W293 twilio --max-line-length=300

test: analysis
	. venv/bin/activate; \
  find tests -type d | xargs nosetests

cover:
	. venv/bin/activate; \
  find tests -type d | xargs nosetests --with-coverage --cover-inclusive --cover-erase --cover-package=twilio

docs-install:
	. venv/bin/activate; pip install pdoc

docs:
	. venv/bin/activate; pdoc twilio --overwrite --html --html-dir docs

release:
	. venv/bin/activate; python setup.py sdist upload
	. venv/bin/activate; python setup.py bdist_wheel upload

build: test-install
	. venv/bin/activate; python setup.py sdist
	. venv/bin/activate; python setup.py bdist_wheel

clean:
	rm -rf venv

nopyc:
	find . -name \*.pyc -delete

=== requirements.txt ===
six
requests>=2.0.0
socksipy-branch
PyJWT==1.4.2
twine

=== tests/requirements.txt ===
sphinx
mock==0.8.0
nose
coverage
nosexcover
flake8
mccabe
wheel>=0.22.0
cryptography
twine

=== debian/changelog ===
python-twilio (6.8.2-1) unstable; urgency=medium

  * Initial release (Closes: #880184)

 -- Sophie Brun <sophie@freexian.com>  Mon, 30 Oct 2017 14:20:51 +0100

=== debian/control ===
Source: python-twilio
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python-all,
 python-cryptography,
 python-jwt,
 python-mock,
 python-nose,
 python-pytest,
 python-requests,
 python-setuptools,
 python-six,
 python-tz,
 python3-all,
 python3-cryptography,
 python3-jwt,
 python3-mock,
 python3-nose,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-tz
Standards-Version: 4.1.1
Homepage: https://github.com/twilio/twilio-python
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-twilio.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-twilio.git/
Testsuite: autopkgtest-pkg-python

Package: python-twilio
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Twilio API client and TwiML generator (Python 2)
 This package contains a Twilio helper library. The Twilio REST SDK simplifies
 the process of making calls using the Twilio REST API. The Twilio REST API
 lets to you initiate outgoing calls, list previous calls, and much more.
 .
 This package installs the library for Python 2.

Package: python3-twilio
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Twilio API client and TwiML generator (Python 3)
 This package contains a Twilio helper library. The Twilio REST SDK simplifies
 the process of making calls using the Twilio REST API. The Twilio REST API
 lets to you initiate outgoing calls, list previous calls, and much more.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=twilio

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-twilio-$1.tar.gz%" \
   https://github.com/twilio/twilio-python/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-twilio 6.51.0+ds

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,14 @@
   find tests -type d | xargs nosetests --with-coverage --cover-inclusive --cover-erase --cover-package=twilio
 
 docs-install:
-	. venv/bin/activate; pip install pdoc
+	. venv/bin/activate; pip install -r tests/requirements.txt
 
 docs:
-	. venv/bin/activate; pdoc twilio --overwrite --html --html-dir docs
+	-rm -rf docs/source/_rst
+	-rm -rf docs/build
+	. venv/bin/activate; sphinx-apidoc -f twilio -o docs/source/_rst
+	. venv/bin/activate; sphinx-build -b html -c ./docs -d docs/build/doctrees . docs/build/html
+
 
 release:
 	. venv/bin/activate; python setup.py sdist upload
@@ -45,3 +49,16 @@
 
 nopyc:
 	find . -name \*.pyc -delete
+
+API_DEFINITIONS_SHA=$(shell git log --oneline | grep Regenerated | head -n1 | cut -d ' ' -f 5)
+docker-build:
+	docker build -t twilio/twilio-python .
+	docker tag twilio/twilio-python twilio/twilio-python:${TRAVIS_TAG}
+	docker tag twilio/twilio-python twilio/twilio-python:apidefs-${API_DEFINITIONS_SHA}
+	docker tag twilio/twilio-python twilio/twilio-python:latest
+
+docker-push:
+	echo "${DOCKER_PASSWORD}" | docker login -u "${DOCKER_USERNAME}" --password-stdin
+	docker push twilio/twilio-python:${TRAVIS_TAG}
+	docker push twilio/twilio-python:apidefs-${API_DEFINITIONS_SHA}
+	docker push twilio/twilio-python:latest

=== requirements.txt ===
flake8
mock
nose
six
requests>=2.0.0
PyJWT==1.7.1
twine

=== debian/changelog ===
python-twilio (6.51.0+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Wrap long lines in changelog entries: 6.8.2-2.
  * Bump debhelper from old 10 to 12.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sophie Brun ]
  * New upstream version 6.51.0
  * Update debian/copyright
  * Repack upstream tarball to remove pre-built docs
  * Bump Standards-Version to 4.5.1 (no changes)

 -- Sophie Brun <sophie@freexian.com>  Thu, 21 Jan 2021 10:59:12 +0100

python-twilio (6.8.2-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Tue, 27 Aug 2019 08:03:44 +0200

python-twilio (6.8.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Chris Lamb ]
  * Remove new-package-should-not-package-python2-module override as it will be
    marked as 'unused' in the next release (and should have been mentioned in
    the changelog).

  [ Sébastien Delafond ]
  * Add myself to Uploaders
  * Add requests to dependencies (Closes: #917001)

 -- Sebastien Delafond <seb@debian.org>  Sun, 30 Dec 2018 18:52:12 +0100

=== debian/control ===
Source: python-twilio
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Sophie Brun <sophie@freexian.com>, Sebastien Delafond <seb@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-cryptography,
 python3-jwt,
 python3-mock,
 python3-nose,
 python3-pytest,
 python3-requests,
 python3-setuptools,
 python3-six,
 python3-tz
Standards-Version: 4.5.1
Homepage: https://github.com/twilio/twilio-python
Vcs-Git: https://salsa.debian.org/python-team/packages/python-twilio.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-twilio
Testsuite: autopkgtest-pkg-python

Package: python3-twilio
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-requests
Description: Twilio API client and TwiML generator (Python 3)
 This package contains a Twilio helper library. The Twilio REST SDK simplifies
 the process of making calls using the Twilio REST API. The Twilio REST API
 lets to you initiate outgoing calls, list previous calls, and much more.
 .
 This package installs the library for Python 3.

## python-twilio 7.1.0+ds

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 .PHONY: clean install analysis test test-install develop docs docs-install
 
 venv:
-	@python --version || (echo "Python is not installed, please install Python 2 or Python 3"; exit 1);
+	@python --version || (echo "Python is not installed, Python 3.6+"; exit 1);
 	virtualenv --python=python venv
 
 install: venv
@@ -24,7 +24,8 @@
 
 cover:
 	. venv/bin/activate; \
-  find tests -type d | xargs nosetests --with-coverage --cover-inclusive --cover-erase --cover-package=twilio
+  find tests -type d | xargs nosetests --with-coverage --cover-inclusive --cover-erase --cover-package=twilio; \
+  coverage xml --omit 'twilio/rest/*' -o coverage.xml
 
 docs-install:
 	. venv/bin/activate; pip install -r tests/requirements.txt

=== requirements.txt ===
flake8
mock
nose
requests>=2.0.0
PyJWT>=2.0.0, <3.0.0
twine

=== tests/requirements.txt ===
Sphinx==1.8.0
mock==0.8.0
nose
coverage
nosexcover
flake8
mccabe
wheel>=0.22.0
cryptography
twine
recommonmark

=== debian/changelog ===
python-twilio (7.1.0+ds-1) unstable; urgency=medium

  * Team upload

  * Fix dh_python depends (lintian error)
  * Add Salsa CI
  * Update standards version
  * New upstream release. (Closes: #997490)

 -- Neil Williams <codehelp@debian.org>  Mon, 15 Nov 2021 14:37:03 +0000

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,19 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Sophie Brun <sophie@freexian.com>, Sebastien Delafond <seb@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
- python3-all,
+ python3-all:any,
  python3-cryptography,
- python3-jwt,
+ python3-jwt (>= 2.0.0),
+ python3-jwt (<< 3.0.0),
  python3-mock,
  python3-nose,
  python3-pytest,
  python3-requests,
  python3-setuptools,
- python3-six,
  python3-tz
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/twilio/twilio-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-twilio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-twilio

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//,repacksuffix=+ds, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-twilio-$1.tar.gz%" \
   https://github.com/twilio/twilio-python/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## python-twilio 7.7.1+ds1

=== Makefile ===
--- 
+++ 
@@ -19,12 +19,11 @@
 	. venv/bin/activate; flake8 --ignore=E402,F401,W391,W291,W293 twilio --max-line-length=300
 
 test: analysis
+	. venv/bin/activate; pytest tests
+
+test-with-coverage:
 	. venv/bin/activate; \
-  find tests -type d | xargs nosetests
-
-cover:
-	. venv/bin/activate; \
-  find tests -type d | xargs nosetests --with-coverage --cover-inclusive --cover-erase --cover-package=twilio; \
+  pytest --cov=twilio tests; \
   coverage xml --omit 'twilio/rest/*' -o coverage.xml
 
 docs-install:
@@ -54,12 +53,11 @@
 API_DEFINITIONS_SHA=$(shell git log --oneline | grep Regenerated | head -n1 | cut -d ' ' -f 5)
 docker-build:
 	docker build -t twilio/twilio-python .
-	docker tag twilio/twilio-python twilio/twilio-python:${TRAVIS_TAG}
+	docker tag twilio/twilio-python twilio/twilio-python:${GITHUB_TAG}
 	docker tag twilio/twilio-python twilio/twilio-python:apidefs-${API_DEFINITIONS_SHA}
 	docker tag twilio/twilio-python twilio/twilio-python:latest
 
 docker-push:
-	echo "${DOCKER_PASSWORD}" | docker login -u "${DOCKER_USERNAME}" --password-stdin
-	docker push twilio/twilio-python:${TRAVIS_TAG}
+	docker push twilio/twilio-python:${GITHUB_TAG}
 	docker push twilio/twilio-python:apidefs-${API_DEFINITIONS_SHA}
 	docker push twilio/twilio-python:latest

=== requirements.txt ===
flake8
mock
requests>=2.0.0
PyJWT>=2.0.0, <3.0.0
twine

=== tests/requirements.txt ===
Sphinx==1.8.0
mock==0.8.0
pytest
pytest-cov
coverage
flake8
mccabe
wheel>=0.22.0
cryptography
twine
recommonmark

=== debian/changelog ===
python-twilio (7.7.1+ds1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Neil Williams <codehelp@debian.org>  Mon, 21 Mar 2022 08:29:43 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
  python3-jwt (>= 2.0.0),
  python3-jwt (<< 3.0.0),
  python3-mock,
- python3-nose,
  python3-pytest,
  python3-requests,
  python3-setuptools,
@@ -21,6 +20,7 @@
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-twilio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-twilio
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-twilio
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=twilio

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: pytest
Depends: @, python3-cryptography, python3-pytest, python3-mock
Restrictions: allow-stderr

## python-twilio 8.6.0

=== requirements.txt ===
pygments>=2.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
pytz
requests>=2.0.0
PyJWT>=2.0.0, <3.0.0
aiohttp>=3.8.4
aiohttp-retry>=2.8.3

=== debian/changelog ===
python-twilio (8.6.0-1) experimental; urgency=medium

  * Team upload.
  * Upload to experimental.

  [ Neil Williams ]
  * Add python3-pytest to autopkgtest.
  * Update deps for new version and autopkgtest.

  [ Utkarsh Gupta ]
  * New upstream version 8.6.0.
  * Add Build-Depends on aiohttp, django, and pygments.
  * Add patch to skip AysncIO retrying.
  * Disable tests as some libraries are not packaged.
    - pyngrok and aiounittest are not packaged.

 -- Utkarsh Gupta <utkarsh@debian.org>  Tue, 15 Aug 2023 00:53:53 +0530

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,14 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ python3-aiohttp,
  python3-all:any,
  python3-cryptography,
+ python3-django,
  python3-jwt (>= 2.0.0),
  python3-jwt (<< 3.0.0),
  python3-mock,
+ python3-pygments,
  python3-pytest,
  python3-requests,
  python3-setuptools,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=twilio

# skips tests as pyngrok and aiounittest are not
# packaged in Debian yet.
export PYBUILD_DISABLE=test

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
# Tests: pytest
# Depends: @, python3-cryptography, python3-pytest, python3-mock
# Restrictions: allow-stderr

## python-twilio 8.12.0

=== requirements.txt ===
pygments>=2.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
requests>=2.0.0
PyJWT>=2.0.0, <3.0.0
aiohttp>=3.9.0
aiohttp-retry>=2.8.3

=== debian/changelog ===
python-twilio (8.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 8.12.0
  * Fix and enable tests as much as possible (closes:#1058428):
    + patch: use unittest.IsolatedAsyncioTestCase
    + B-D python3-aiohttp-retry, drop w/a patch
    * disable tests that rely on internet
  * Use autopkgtest-pkg-pybuild
  * Update copyright
  * Drop dependency on python3-tz
  * Standards-Version 4.6.2
  * copyright: remove unused file exclusion

  [ Sébastien Delafond ]
  * d/control: remove Freexian team members from Uploaders

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Jan 2024 08:44:41 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Sophie Brun <sophie@freexian.com>, Sebastien Delafond <seb@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-aiohttp,
+ python3-aiohttp-retry,
  python3-all:any,
  python3-cryptography,
  python3-django,
@@ -17,12 +17,11 @@
  python3-pytest,
  python3-requests,
  python3-setuptools,
- python3-tz
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/twilio/twilio-python
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-twilio.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-twilio
-Testsuite: autopkgtest-pkg-python
+Testsuite: autopkgtest-pkg-pybuild
 Rules-Requires-Root: no
 
 Package: python3-twilio

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=twilio

# Proxy setting using environment is tested
export http_proxy=
export https_proxy=
export no_proxy=

# skip cluster test depending on pyngrok or internet connection
export PYBUILD_TEST_ARGS=--ignore=tests/cluster -k "not TestUserAgentClients"

%:
	dh $@ --with python3 --buildsystem=pybuild

## python-twilio 9.0.5

=== requirements.txt ===
pygments>=2.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
requests>=2.31.0
PyJWT>=2.0.0, <3.0.0
aiohttp>=3.9.0
aiohttp-retry>=2.8.3
certifi>=2023.7.22 # not directly required, pinned by Snyk to avoid a vulnerability

=== debian/changelog ===
python-twilio (9.0.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.0.5
  * depends on new python3-aiounittest, drop patch

 -- Alexandre Detiste <tchet@debian.org>  Sat, 27 Apr 2024 03:08:58 +0200

python-twilio (9.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 9.0.2
  * use new dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Thu, 21 Mar 2024 21:49:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,10 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-aiohttp,
  python3-aiohttp-retry,
+ python3-aiounittest,
  python3-all:any,
  python3-cryptography,
  python3-django,
@@ -27,9 +28,7 @@
 Package: python3-twilio
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-requests
-Description: Twilio API client and TwiML generator (Python 3)
+Description: Twilio API client and TwiML generator
  This package contains a Twilio helper library. The Twilio REST SDK simplifies
  the process of making calls using the Twilio REST API. The Twilio REST API
  lets to you initiate outgoing calls, list previous calls, and much more.
- .
- This package installs the library for Python 3.

## python-twilio 9.4.1

=== Makefile ===
.PHONY: clean install analysis test test-install test-docker develop docs docs-install prettier prettier-check

venv:
	@python --version || (echo "Python is not installed, Python 3.7+"; exit 1);
	virtualenv --python=python venv

install: venv
	. venv/bin/activate; pip install .

test-install: install
	. venv/bin/activate; pip install -r tests/requirements.txt

test-docker:
	docker build -t twilio/twilio-python .
	docker run twilio/twilio-python pytest tests --ignore=tests/cluster

develop: venv
	. venv/bin/activate; pip install -e . --use-mirrors
	. venv/bin/activate; pip install -r tests/requirements.txt

analysis:
	. venv/bin/activate; flake8 --ignore=E123,E126,E128,E501,W391,W291,W293,F401,W503,E203 tests
	. venv/bin/activate; flake8 --ignore=E402,F401,W391,W291,W293,W503,E203 twilio --max-line-length=300

test: analysis prettier-check
	. venv/bin/activate; pytest tests --ignore=tests/cluster

test-with-coverage: prettier-check
	. venv/bin/activate; \
  	pytest --cov-config=setup.cfg --cov-report xml --cov=twilio tests --ignore=tests/cluster

cluster-test:
	. venv/bin/activate; pytest tests/cluster

docs-install:
	. venv/bin/activate; pip install -r tests/requirements.txt

docs:
	-rm -rf docs/source/_rst
	-rm -rf docs/build
	. venv/bin/activate; sphinx-apidoc -f twilio -o docs/source/_rst
	. venv/bin/activate; sphinx-build -b html -c ./docs -d docs/build/doctrees . docs/build/html


release:
	. venv/bin/activate; python setup.py sdist upload
	. venv/bin/activate; python setup.py bdist_wheel upload

build: test-install
	. venv/bin/activate; python setup.py sdist
	. venv/bin/activate; python setup.py bdist_wheel

clean:
	rm -rf venv

nopyc:
	find . -name \*.pyc -delete

prettier:
	. venv/bin/activate; autoflake --remove-all-unused-imports -i -r --exclude venv .
	. venv/bin/activate; black .

prettier-check:
	. venv/bin/activate; autoflake --check-diff --quiet --remove-all-unused-imports -r --exclude venv .
	. venv/bin/activate; black --check .

API_DEFINITIONS_SHA=$(shell git log --oneline | grep Regenerated | head -n1 | cut -d ' ' -f 5)
CURRENT_TAG=$(shell expr "${GITHUB_TAG}" : ".*-rc.*" >/dev/null && echo "rc" || echo "latest")
docker-build:
	docker build -t twilio/twilio-python .
	docker tag twilio/twilio-python twilio/twilio-python:${GITHUB_TAG}
	docker tag twilio/twilio-python twilio/twilio-python:apidefs-${API_DEFINITIONS_SHA}
	docker tag twilio/twilio-python twilio/twilio-python:${CURRENT_TAG}

docker-push:
	docker push twilio/twilio-python:${GITHUB_TAG}
	docker push twilio/twilio-python:apidefs-${API_DEFINITIONS_SHA}
	docker push twilio/twilio-python:${CURRENT_TAG}

=== requirements.txt ===
pygments>=2.7.4 # not directly required, pinned by Snyk to avoid a vulnerability
requests>=2.31.0
PyJWT>=2.0.0, <3.0.0
aiohttp>=3.9.4
aiohttp-retry==2.8.3
certifi>=2023.7.22 # not directly required, pinned by Snyk to avoid a vulnerability

=== tests/requirements.txt ===
Sphinx>=1.8.0
mock
pytest
pytest-cov
aiounittest
flake8
wheel>=0.22.0
cryptography
recommonmark
django
multidict
pyngrok
black
autoflake

=== debian/changelog ===
python-twilio (9.4.1-1) unstable; urgency=medium

  * Team upload.
  * Remove dependency on python3-mock

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Dec 2024 02:30:38 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  python3-django,
  python3-jwt (>= 2.0.0),
  python3-jwt (<< 3.0.0),
- python3-mock,
  python3-pygments,
  python3-pytest,
  python3-requests,

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,4 @@
 export PYBUILD_TEST_ARGS=--ignore=tests/cluster -k "not TestUserAgentClients"
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds1//,repacksuffix=+ds1, \
  filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-twilio-$1.tar.gz%" \
   https://github.com/twilio/twilio-python/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
